image: texlive/texlive

stages:
  - build

Typeset documentation:
  stage: build
  tags:
    - shared-fi
  before_script:
    - apt-get -qy update
    - apt-get -qy install inkscape zip
  script:
    - make base
    - make install-base to="$HOME"/texmf nohash=true
    - make dist
  artifacts:
    paths:
      - fibeamer.tds.zip
      - fibeamer.ctan.zip
      - fibeamer.zip
      - fibeamer.pdf
    expire_in: 1 week
